org.wso2.carbon.mediation.initializer

## Class AbstractServiceBusAdmin

- java.lang.Object
- - org.wso2.carbon.core.AbstractAdmin
  - - org.wso2.carbon.mediation.initializer.AbstractServiceBusAdmin

-     public class AbstractServiceBusAdmin
      extends org.wso2.carbon.core.AbstractAdmin

- - ### Field Summary

    - ### Fields inherited from class org.wso2.carbon.core.AbstractAdmin

      `axisConfig, configurationContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractServiceBusAdmin()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Lock` | `getLock()`
    `protected MediationPersistenceManager` | `getMediationPersistenceManager()` Helper method to get the persistence manger
    `protected org.apache.synapse.ServerConfigurationInformation` | `getServerConfigurationInformation()`
    `protected org.apache.synapse.ServerContextInformation` | `getServerContextInformation()`
    `protected org.apache.synapse.config.SynapseConfiguration` | `getSynapseConfiguration()` Helper method to retrieve the Synapse configuration from the relevant axis configuration
    `protected org.apache.synapse.core.SynapseEnvironment` | `getSynapseEnvironment()` Helper method to retrieve the Synapse environment from the relevant axis configuration
    `protected org.apache.synapse.core.SynapseEnvironment` | `getSynapseEnvironment(org.apache.axis2.engine.AxisConfiguration axisCfg)`
    `protected void` | `lockSynapseConfiguration()`
    `protected void` | `unlockSynapseConfiguration()`

    - ### Methods inherited from class org.wso2.carbon.core.AbstractAdmin

      `getAxisConfig, getConfigContext, getConfigSystemRegistry, getConfigUserRegistry, getGovernanceRegistry, getGovernanceSystemRegistry, getGovernanceUserRegistry, getHttpSession, getLocalRepo, getRegistry, getTenantDomain, getUsername, getUserRealm, setConfigurationContext, setPermissionUpdateTimestamp`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractServiceBusAdmin

          public AbstractServiceBusAdmin()

  - ### Method Detail

    - #### getSynapseConfiguration

          protected org.apache.synapse.config.SynapseConfiguration getSynapseConfiguration()

      Helper method to retrieve the Synapse configuration from the relevant axis configuration
      Returns:
        extracted SynapseConfiguration from the relevant AxisConfiguration

    - #### getSynapseEnvironment

          protected org.apache.synapse.core.SynapseEnvironment getSynapseEnvironment()

      Helper method to retrieve the Synapse environment from the relevant axis configuration
      Returns:
        extracted SynapseEnvironment from the relevant AxisConfiguration

    - #### getSynapseEnvironment

          protected org.apache.synapse.core.SynapseEnvironment getSynapseEnvironment(org.apache.axis2.engine.AxisConfiguration axisCfg)

    - #### getMediationPersistenceManager

          protected MediationPersistenceManager getMediationPersistenceManager()

      Helper method to get the persistence manger
      Returns:
        persistence manager for this configuration context

    - #### getServerConfigurationInformation

          protected org.apache.synapse.ServerConfigurationInformation getServerConfigurationInformation()

    - #### getServerContextInformation

          protected org.apache.synapse.ServerContextInformation getServerContextInformation()

    - #### getLock

          protected Lock getLock()

    - #### lockSynapseConfiguration

          protected void lockSynapseConfiguration()

    - #### unlockSynapseConfiguration

          protected void unlockSynapseConfiguration()

Copyright © 2019 WSO2. All rights reserved.